Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] New package: python3-pep517-0.9.1
@ 2021-02-18 15:19 paper42
  2021-02-18 15:42 ` [PR PATCH] [Updated] " paper42
                   ` (10 more replies)
  0 siblings, 11 replies; 12+ messages in thread
From: paper42 @ 2021-02-18 15:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1631 bytes --]

There is a new pull request by paper42 against master on the void-packages repository

https://github.com/paper42/void-packages 0002-New-package-python3-pep517-0.9.1.patch
https://github.com/void-linux/void-packages/pull/28843

New package: python3-pep517-0.9.1
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28843.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-0002-New-package-python3-pep517-0.9.1.patch-28843.patch --]
[-- Type: text/x-diff, Size: 1385 bytes --]

From c08404975e2d68ceb98bd9a8fff38786bea62c5a Mon Sep 17 00:00:00 2001
From: Paper <paper@tilde.institute>
Date: Thu, 18 Feb 2021 16:15:40 +0100
Subject: [PATCH] New package: python3-pep517-0.9.1

---
 srcpkgs/python3-pep517/template | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 srcpkgs/python3-pep517/template

diff --git a/srcpkgs/python3-pep517/template b/srcpkgs/python3-pep517/template
new file mode 100644
index 00000000000..8a7c2dd7725
--- /dev/null
+++ b/srcpkgs/python3-pep517/template
@@ -0,0 +1,29 @@
+# Template file for 'python3-pep517'
+pkgname=python3-pep517
+version=0.9.1
+revision=1
+wrksrc=pep517-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3 python3-toml"
+# tests need flit_core v2, but we have v3 packaged, remove pip when this is fixed
+checkdepends="python3-pytest python3-testpath python3-mock python3-pip"
+short_desc="Wrappers to build Python packages using PEP 517 hooks"
+maintainer="Paper <paper@tilde.institute>"
+license="MIT"
+homepage="https://pep517.readthedocs.io/en/latest/"
+distfiles="${PYPI_SITE}/p/pep517/pep517-${version}.tar.gz"
+checksum=aeb78601f2d1aa461960b43add204cc7955667687fbcf9cdb5170f00556f117f
+
+pre_check() {
+	# remove tests for flake8 which fail
+	rm pytest.ini
+}
+
+do_check() {
+	pytest
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR PATCH] [Updated] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
@ 2021-02-18 15:42 ` paper42
  2021-02-18 16:08 ` [PR REVIEW] " ericonr
                   ` (9 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: paper42 @ 2021-02-18 15:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1636 bytes --]

There is an updated pull request by paper42 against master on the void-packages repository

https://github.com/paper42/void-packages 0002-New-package-python3-pep517-0.9.1.patch
https://github.com/void-linux/void-packages/pull/28843

New package: python3-pep517-0.9.1
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28843.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-0002-New-package-python3-pep517-0.9.1.patch-28843.patch --]
[-- Type: text/x-diff, Size: 1353 bytes --]

From 58c79617e2ab81d40df21205dc989e28187c3e92 Mon Sep 17 00:00:00 2001
From: Paper <paper@tilde.institute>
Date: Thu, 18 Feb 2021 16:15:40 +0100
Subject: [PATCH] New package: python3-pep517-0.9.1

---
 srcpkgs/python3-pep517/template | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100644 srcpkgs/python3-pep517/template

diff --git a/srcpkgs/python3-pep517/template b/srcpkgs/python3-pep517/template
new file mode 100644
index 00000000000..e1e5625fdd0
--- /dev/null
+++ b/srcpkgs/python3-pep517/template
@@ -0,0 +1,25 @@
+# Template file for 'python3-pep517'
+pkgname=python3-pep517
+version=0.9.1
+revision=1
+wrksrc=pep517-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3 python3-toml"
+# tests need flit_core v2, but we have v3 packaged, remove pip when this is fixed
+checkdepends="python3-pytest python3-testpath python3-mock python3-pip"
+short_desc="Wrappers to build Python packages using PEP 517 hooks"
+maintainer="Paper <paper@tilde.institute>"
+license="MIT"
+homepage="https://pep517.readthedocs.io/en/latest/"
+distfiles="${PYPI_SITE}/p/pep517/pep517-${version}.tar.gz"
+checksum=aeb78601f2d1aa461960b43add204cc7955667687fbcf9cdb5170f00556f117f
+
+pre_check() {
+	# remove tests for flake8 which fail
+	rm pytest.ini
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR REVIEW] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
  2021-02-18 15:42 ` [PR PATCH] [Updated] " paper42
@ 2021-02-18 16:08 ` ericonr
  2021-02-18 16:21 ` [PR PATCH] [Updated] " paper42
                   ` (8 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: ericonr @ 2021-02-18 16:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 320 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28843#discussion_r578545457

Comment:
If we lack a mandatory dependency tests should be disabled. You can (and should) leave a comment about why, but we don't want to download packages with pip in any situation.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR PATCH] [Updated] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
  2021-02-18 15:42 ` [PR PATCH] [Updated] " paper42
  2021-02-18 16:08 ` [PR REVIEW] " ericonr
@ 2021-02-18 16:21 ` paper42
  2021-02-18 18:38 ` ahesford
                   ` (7 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: paper42 @ 2021-02-18 16:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1636 bytes --]

There is an updated pull request by paper42 against master on the void-packages repository

https://github.com/paper42/void-packages 0002-New-package-python3-pep517-0.9.1.patch
https://github.com/void-linux/void-packages/pull/28843

New package: python3-pep517-0.9.1
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28843.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-0002-New-package-python3-pep517-0.9.1.patch-28843.patch --]
[-- Type: text/x-diff, Size: 1193 bytes --]

From 5d1d7095f1241e4bff25ff9bca45be7e5218d9ac Mon Sep 17 00:00:00 2001
From: Paper <paper@tilde.institute>
Date: Thu, 18 Feb 2021 16:15:40 +0100
Subject: [PATCH] New package: python3-pep517-0.9.1

---
 srcpkgs/python3-pep517/template | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)
 create mode 100644 srcpkgs/python3-pep517/template

diff --git a/srcpkgs/python3-pep517/template b/srcpkgs/python3-pep517/template
new file mode 100644
index 00000000000..cd9f9b515fd
--- /dev/null
+++ b/srcpkgs/python3-pep517/template
@@ -0,0 +1,22 @@
+# Template file for 'python3-pep517'
+pkgname=python3-pep517
+version=0.9.1
+revision=1
+wrksrc=pep517-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3 python3-toml"
+short_desc="Wrappers to build Python packages using PEP 517 hooks"
+maintainer="Paper <paper@tilde.institute>"
+license="MIT"
+homepage="https://pep517.readthedocs.io/en/latest/"
+distfiles="${PYPI_SITE}/p/pep517/pep517-${version}.tar.gz"
+checksum=aeb78601f2d1aa461960b43add204cc7955667687fbcf9cdb5170f00556f117f
+
+do_check() {
+	: # tests need flit_core v2, but we have v3 packaged
+}
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (2 preceding siblings ...)
  2021-02-18 16:21 ` [PR PATCH] [Updated] " paper42
@ 2021-02-18 18:38 ` ahesford
  2021-02-19 14:35 ` paper42
                   ` (6 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: ahesford @ 2021-02-18 18:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 725 bytes --]

New comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/28843#issuecomment-781553959

Comment:
What is the value of this package? PEP-517 still seems to be in flux. Pip seems to be the only viable builder and installer right now. The nascent "build" and "install" packages may eventually provide a lightweight alternative good for distribution packagers, but they aren't there yet. The build backends are currently so fragmented that it seems like every project that walks away from setuptools winds up choosing a different backend.

If this doesn't satisfy a dependency for something, I'm hesitant to pull it in when, for all we know, it will be *de facto* useless in a year.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (3 preceding siblings ...)
  2021-02-18 18:38 ` ahesford
@ 2021-02-19 14:35 ` paper42
  2021-02-22 14:18 ` [PR REVIEW] " ahesford
                   ` (5 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: paper42 @ 2021-02-19 14:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 810 bytes --]

New comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/28843#issuecomment-782113412

Comment:
I needed this package when I was working on my project using the official setuptools guide: https://setuptools.readthedocs.io/en/latest/userguide/quickstart.html#id5

> Then, you need an installer, such as pep517 which you can obtain via pip install pep517. After downloading it, invoke the installer:
> ```
> python -m pep517.build .
> ```
> You now have your distribution ready (e.g. a tar.gz file and a .whl file in the dist directory), which you can upload to PyPI!

So currently, this package is only useful for people working on python projects following the quickstart guide of setuptools which is in my opinion a good enough reason to have this package.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR REVIEW] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (4 preceding siblings ...)
  2021-02-19 14:35 ` paper42
@ 2021-02-22 14:18 ` ahesford
  2021-02-22 14:18 ` ahesford
                   ` (4 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: ahesford @ 2021-02-22 14:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 225 bytes --]

New review comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/28843#discussion_r580283504

Comment:
No need for `python3` when there is a package dependency like `python3-toml`.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR REVIEW] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (5 preceding siblings ...)
  2021-02-22 14:18 ` [PR REVIEW] " ahesford
@ 2021-02-22 14:18 ` ahesford
  2021-02-22 14:24 ` ericonr
                   ` (3 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: ahesford @ 2021-02-22 14:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 349 bytes --]

New review comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/28843#discussion_r580283113

Comment:
Rather than skipping with `true`, I think it is good practice to print a message explaining why the tests are skipped:
```
echo "skipping check: tests need flit_core v2, but only v3 is packaged"
```

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR REVIEW] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (6 preceding siblings ...)
  2021-02-22 14:18 ` ahesford
@ 2021-02-22 14:24 ` ericonr
  2021-02-22 14:29 ` ahesford
                   ` (2 subsequent siblings)
  10 siblings, 0 replies; 12+ messages in thread
From: ericonr @ 2021-02-22 14:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 322 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28843#discussion_r580287743

Comment:
I know some templates do this, but it would be nice to settle on something... The concise solution is using `make_check=no` with a comment on top, but it won't print anything.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR REVIEW] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (7 preceding siblings ...)
  2021-02-22 14:24 ` ericonr
@ 2021-02-22 14:29 ` ahesford
  2021-03-02 20:00 ` [PR PATCH] [Updated] " paper42
  2021-03-02 20:01 ` paper42
  10 siblings, 0 replies; 12+ messages in thread
From: ahesford @ 2021-02-22 14:29 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 209 bytes --]

New review comment by ahesford on void-packages repository

https://github.com/void-linux/void-packages/pull/28843#discussion_r580291993

Comment:
`make_check=no` and dropping the custom `do_check` is OK too.

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR PATCH] [Updated] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (8 preceding siblings ...)
  2021-02-22 14:29 ` ahesford
@ 2021-03-02 20:00 ` paper42
  2021-03-02 20:01 ` paper42
  10 siblings, 0 replies; 12+ messages in thread
From: paper42 @ 2021-03-02 20:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1636 bytes --]

There is an updated pull request by paper42 against master on the void-packages repository

https://github.com/paper42/void-packages 0002-New-package-python3-pep517-0.9.1.patch
https://github.com/void-linux/void-packages/pull/28843

New package: python3-pep517-0.9.1
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28843.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-0002-New-package-python3-pep517-0.9.1.patch-28843.patch --]
[-- Type: text/x-diff, Size: 1174 bytes --]

From 71fd7da0179d601b858702899ec6a4392e0c61ba Mon Sep 17 00:00:00 2001
From: Paper <paper@tilde.institute>
Date: Thu, 18 Feb 2021 16:15:40 +0100
Subject: [PATCH] New package: python3-pep517-0.9.1

---
 srcpkgs/python3-pep517/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/python3-pep517/template

diff --git a/srcpkgs/python3-pep517/template b/srcpkgs/python3-pep517/template
new file mode 100644
index 00000000000..dfb087e9c7d
--- /dev/null
+++ b/srcpkgs/python3-pep517/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-pep517'
+pkgname=python3-pep517
+version=0.9.1
+revision=1
+wrksrc=pep517-${version}
+build_style=python3-module
+make_check=no # tests need flit_core v2, but only v3 is packaged
+hostmakedepends="python3-setuptools"
+depends="python3-toml"
+short_desc="Wrappers to build Python packages using PEP 517 hooks"
+maintainer="Paper <paper@tilde.institute>"
+license="MIT"
+homepage="https://pep517.readthedocs.io/en/latest/"
+distfiles="${PYPI_SITE}/p/pep517/pep517-${version}.tar.gz"
+checksum=aeb78601f2d1aa461960b43add204cc7955667687fbcf9cdb5170f00556f117f
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 12+ messages in thread

* Re: [PR PATCH] [Updated] New package: python3-pep517-0.9.1
  2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
                   ` (9 preceding siblings ...)
  2021-03-02 20:00 ` [PR PATCH] [Updated] " paper42
@ 2021-03-02 20:01 ` paper42
  10 siblings, 0 replies; 12+ messages in thread
From: paper42 @ 2021-03-02 20:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1636 bytes --]

There is an updated pull request by paper42 against master on the void-packages repository

https://github.com/paper42/void-packages 0002-New-package-python3-pep517-0.9.1.patch
https://github.com/void-linux/void-packages/pull/28843

New package: python3-pep517-0.9.1
<!-- Mark items with [x] where applicable -->

#### General
- [x] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [ ] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28843.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-0002-New-package-python3-pep517-0.9.1.patch-28843.patch --]
[-- Type: text/x-diff, Size: 1174 bytes --]

From dabb32a7b5106b78689721a88f382a4275c25d05 Mon Sep 17 00:00:00 2001
From: Paper <paper@tilde.institute>
Date: Thu, 18 Feb 2021 16:15:40 +0100
Subject: [PATCH] New package: python3-pep517-0.9.1

---
 srcpkgs/python3-pep517/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/python3-pep517/template

diff --git a/srcpkgs/python3-pep517/template b/srcpkgs/python3-pep517/template
new file mode 100644
index 00000000000..402b5f5cdc5
--- /dev/null
+++ b/srcpkgs/python3-pep517/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-pep517'
+pkgname=python3-pep517
+version=0.9.1
+revision=1
+wrksrc=pep517-${version}
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3-toml"
+short_desc="Wrappers to build Python packages using PEP 517 hooks"
+maintainer="Paper <paper@tilde.institute>"
+license="MIT"
+homepage="https://pep517.readthedocs.io/en/latest/"
+distfiles="${PYPI_SITE}/p/pep517/pep517-${version}.tar.gz"
+checksum=aeb78601f2d1aa461960b43add204cc7955667687fbcf9cdb5170f00556f117f
+make_check=no # tests need flit_core v2, but only v3 is packaged
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2021-03-02 20:01 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-02-18 15:19 [PR PATCH] New package: python3-pep517-0.9.1 paper42
2021-02-18 15:42 ` [PR PATCH] [Updated] " paper42
2021-02-18 16:08 ` [PR REVIEW] " ericonr
2021-02-18 16:21 ` [PR PATCH] [Updated] " paper42
2021-02-18 18:38 ` ahesford
2021-02-19 14:35 ` paper42
2021-02-22 14:18 ` [PR REVIEW] " ahesford
2021-02-22 14:18 ` ahesford
2021-02-22 14:24 ` ericonr
2021-02-22 14:29 ` ahesford
2021-03-02 20:00 ` [PR PATCH] [Updated] " paper42
2021-03-02 20:01 ` paper42

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git